#ifndef __INPUT_H__
#define __INPUT_H__

#include "vars.h"
#include "exceptions.h"

void REQ_STRING( CVars &in, const char * name, int min_len, int max_len, const char *regex ) throw (bad_parameter);
long REQ_LONG( CVars &in, const char *name, long min, long max );
bool OptionalSpecified( CVars &in, const char * name );

#define OPTIONAL(mapname, var)  \
                        if ( OptionalSpecified(mapname,var) )

#endif

